Subject: Re: [PATCH v3 0/3] builtin/history: introduce "fixup" subcommand

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 12 May 2026 08:41:53 +0200

On Tue, May 12, 2026 at 02:47:41PM +0900, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > this short patch series introduces a new "fixup" subcommand. This
> > command is the first one that I felt is missing in my day to day work,
> > as I end up doing fixup commits quite often.
> >
> > The flow is rather simple: the user stages some changes, and then they
> > execute `git history fixup <commit>` to amend those changes to the given
> > commit. As with the other subcommands, dependent branches will then be
> > rebased automatically.
> >
> > This is the first command that may result in merge conflicts. For now we
> > simply abort in such cases, but there are plans to introduce first-class
> > conflicts into Git. So once we have them, we'll also be able to handle
> > such cases more gracefully. I still think that the command is useful
> > even without that conflict handling.
> >
> > Changes in v3:
> >   - Some more polishing of the command's description.
> >   - Link to v2: https://patch.msgid.link/[email-masked]
> >
> > Changes in v2:
> >   - Introduce "--empty=(keep|drop|abort)" to specify what happens with
> >     empty commits.
> >   - Adapt documentation a bit to hopefully clarify how changes are
> >     backported.
> >   - Link to v1: https://patch.msgid.link/[email-masked]
> 
> The iterations v2 and v3 saw no comments, unfortunately.  I just
> gave three patches in v3 a cursory look and nothing stood out as
> curious or fishy.  Shall we mark the topic for 'next' now?

I didn't plan to post another iteration, so this works for me. Thanks!

Patrick